.Dd 2016-06-12
.Dt NCI-EDIT-ASSIGNMENT-GROUP 1
.Os
.Sh NAME
.Nm nci-edit-assignment-group
.Nd Edit an existing assignment group in a Canvas installation
.Sh SYNOPSIS
.Nm
.Fl c
.Ar course-id
.Fl g
.Ar group-id
.Oo
.Fl n
.Ar name
.Oc
.Oo
.Fl w
.Ar weight
.Oc
.Oo
.Fl d
.Ar number-of-lowest
.Oc
.Oo
.Fl D
.Ar number-of-highest
.Oc
.Sh DESCRIPTION
.Nm
connects to a Canvas installation as described at
.Xr nci 1
and applies the given parameters to the specified assignment group. If
a parameter is not given, that field of the assignment group will be
left unchanged.
.Sh OPTIONS
See
.Xr nci-create-assignment-group 1
for detailed descriptions of the parameters
.Bl -tag -width Ds
.It Fl c
The
.Ar course-id ,
as returned by
.Xr nci-list-courses 1 .
.It Fl g
The
.Ar group-id ,
as returned by
.Xr nci-list-assignments 1 .
.It Fl n
Set the new name of the group.
.It Fl w
Set the new weight of the group.
.It Fl d | D
Set how many assignments are dropped
.Po
.Fl d
determines how many of the lowest-graded assignments to drop,
.Fl D
of the highest-graded.
.Pc
To enforce not dropping any assignments, pass
.Ar 0.
.El
.Sh EXAMPLES
.Dl % nci-edit-assignment-group -g 1560872 -c 1187637 -n Homework -w 20.0  -D 3
.Sh SEE ALSO
.Xr nci 1
.Xr nci-create-assignment-group 1
.Xr nci-delete-assignment-group 1
.Xr nci-list-courses 1
.Sh AUTHORS
.An S. Gilles Aq Mt sgilles@math.umd.edu
